* {
  font-family: Arial, Helvetica, sans-serif;
}

body {
  background-color: #888;
  margin: 0;
}

#toast_wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  pointer-events: none; /* Prevent interaction with the wrapper */
}

.toast {
  position: absolute;
  top: -100px; /* Start off-screen */
  left: 50%;
  transform: translateX(-50%);
  background-color: #333;
  color: #fff;
  padding: 20px 25px;
  border-radius: 5px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  font-size: 20px;
  white-space: nowrap;
  transition: top 0.5s ease; /* Smooth drop animation */
  pointer-events: auto; /* Allow interaction with the toast */
}
#map,
#dash {
  height: calc(100vh - 40px);
  width: calc(50vw - 4px);
  display: inline-block;
}
ul *{
  text-align: left !important;
}
#map {
  margin: 12px 0px 12px 10px;
  border-radius: 10px;
}

#cover {
  position: fixed;
  z-index: 999;
  width: 100vw;
  height: 100vh;
  background-color: #2196f3;
  margin-top: -10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#cover div {
  margin: 30px 20px;
  font-size: 26px;
  color: white;
}

#cover button {
  background: #888;
  border-radius: 15px;
  color: white;
  padding: 8px 20px;
  font-size: 20px;
  margin: 20px 7px;
  border: 1px solid #888;
  outline: 0;
  transition: 0.2s;
  cursor: pointer;
  width: 130px;
}

#cover input {
  padding: 8px 15px;
  font-size: 18px;
  border-radius: 5px;
  width: 460px;
  border: unset;
  outline: 0 !important;
}

#cover button:active,
#cover button:hover {
  background: #2196f3;
  border: 1px solid white;
}

#wrapper {
  display: flex;
  margin: 8px;
}

#dash {
  padding: 10px 20px;
  height: calc(100vh - 36px);
  width: calc(50vw - 125px);
  display: inline-flex;
  flex-direction: column;
  gap: 15px;
}

#dash>div {
  background-color: white;
  padding: 20px 35px;
  border-radius: 10px;
  overflow: auto;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.vertical_section {
  margin: 0;
  flex: 0 1 auto;
}

#dash_locations {
  height: calc(100vh - 220px);
}
#dash_options {
  height: 220px;
}

.vertical_section.main_section {
  margin: 0;
  flex: 2 1 auto;
  margin-bottom: 5px;
  position: relative;
  display: flex;
  flex-direction: column;
}

hr {
  border-color: #2196F3;
}

.toggle_wrapper {
  margin: 25px auto;
  text-align: center;
}

.focus-center-button{
  border: 1px solid #ccc !important;
  background-color: #f9f9f9 !important;
  color: #FBBC04 !important;
  display: inline-block !important;
  margin-right: 10px;
}

#dash_table>div {
  text-align: center;
  font-size: 20px;
  font-weight: bold;
  margin: 15px 0;
}

#dash_table {
  flex: 1;
  margin-bottom: 25px;
}

.toggle_wrapper>span {
  font-size: 18px;
  vertical-align: sub;
  margin: 10px;
}

.switch {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 28px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 18px;
  width: 18px;
  left: 5px;
  bottom: 5px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked+.slider {
  background-color: #2196F3;
}

input:focus+.slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
  -webkit-transform: translateX(20px);
  -ms-transform: translateX(02px);
  transform: translateX(20px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.toggle_wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

.options_section button {
  background: #2196F3;
  border-radius: 15px;
  color: white;
  padding: 10px 20px;
  font-size: 18px;
  margin: 5px 7px;
  border: 1px solid #2196F3;
  outline: 0;
  transition: 0.2s;
  cursor: pointer;
  width: 210px;
}

#dash button:active {
  background: white;
  color: #2196F3;
}

#dash table button {
  background-color: #888888;
  padding: 3px 10px;
  border-radius: 7px;
  border-color: #888888;
  width: unset;
}

#dash table button:active {
  background-color: white !important;
  color: red;
}

#dash button:focus {
  outline: 0;
}

#summary{
  flex: 0 0 120px;
  border-top: 2px solid #ccc;
  padding-top: 15px !important;
}

.summary {
  margin-top: 20px;
  padding: 15px;
  background-color: #f9f9f9;
  border: 1px solid #ddd;
  border-radius: 8px;
  font-size: 14px;
  color: #333;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.summary-content {
  display: flex;
  justify-content: space-between;
  width: 100%;
  gap: 15px;
}

.summary-left {
  display: flex;
  flex-direction: column;
  gap: 10px;
  line-height: 35px;
}

.summary-right {
  font-size: 14px;
  text-align: right;
}

.focus-center-button {
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 8px 12px;
  font-size: 14px;
  font-weight: bold;
  color: #fff;
  background-color: #007bff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.focus-center-button i {
  font-size: 16px;
}

.focus-center-button:hover {
  background-color: #0056b3;
  transform: translateY(-2px);
}

.focus-center-button:active {
  transform: translateY(0);
}

#dash table {
  width: 100%;
}

#dash input {
  padding: 5px 10px;
  font-size: 18px;
  border-radius: 5px;
  width: calc(100% - 40px);
  background: white;
  border: 1px solid #ccc;
}

#dash table td,
#dash table th {
  padding: 7px 7px;
  text-align: left;
  font-size: 20px;
}

#dash table td {
  font-size: 18px;
  text-align: center;
}

#place_autocomplete {
  position: absolute;
  z-index: 9;
  top: 33px;
  right: calc(50vw + 50px);
  width: 270px;
  background: white;
}

.widget-container {
  border: unset !important;
}

/* Modal Styling */
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.modal-content {
  margin: 0 5px;
  background-color: #fff;
  border-radius: 10px;
  padding: 20px 30px 45px 30px;
  width: 90%;
  max-width: 600px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  position: relative;
  animation: fadeIn 0.3s ease-in-out;
}

@keyframes fadeIn {
  from {
      opacity: 0;
      transform: scale(0.95);
  }
  to {
      opacity: 1;
      transform: scale(1);
  }
}

.close-button {
  position: absolute;
  top: 15px;
  right: 15px;
  background: none;
  border: none;
  font-size: 20px;
  font-weight: bold;
  color: #333;
  cursor: pointer;
  transition: color 0.3s ease;
}

.close-button:hover {
  color: #007bff;
}

.modal-title {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
  color: #333;
}

.modal-description {
  font-size: 14px;
  color: #666;
  margin-bottom: 45px;
}

.modal-steps {
  font-size: 14px;
  color: #444;
  margin-bottom: 20px;
  padding-left: 20px;
}

.modal-steps li {
  margin-bottom: 10px;
}

.modal-divider {
  height: 1px;
  background-color: #ddd;
  margin: 40px 0;
}

.modal-upload-instructions {
  font-size: 14px;
  color: #444;
  margin-bottom: 10px;
}

.dropzone {
  border: 2px dashed #007bff;
  border-radius: 8px;
  padding: 20px;
  text-align: center;
  color: #007bff;
  font-size: 14px;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.dropzone:hover {
  background-color: #f0f8ff;
  color: #0056b3;
}

.modal-controls {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 20px;
}

.modal-control-group {
  flex: 1;
  min-width: 200px;
}

.modal-control-group h4 {
  font-size: 14px;
  color: #333;
  margin-bottom: 5px;
}

#maxLocations {
  width: 100%;
}

#maxLocationsValue {
  font-size: 14px;
  color: #333;
  margin-left: 10px;
}
.accordion {
    margin-bottom: 20px;
}

.accordion-item {
    border: 1px solid #ddd;
    border-radius: 5px;
    margin-bottom: 10px;
    overflow: hidden;
}

.accordion-header {
    background-color: #f9f9f9;
    padding: 10px 15px;
    font-size: 16px;
    font-weight: bold;
    color: #333;
    border: none;
    width: 100%;
    text-align: left;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color 0.3s ease;
}

.accordion-header:hover {
    background-color: #f0f0f0;
}

.accordion-icon {
    font-size: 14px;
    color: #666;
    transition: transform 0.3s ease;
}

.accordion-header.active .accordion-icon {
    transform: rotate(180deg);
}

.accordion-content {
    display: none;
    padding: 15px;
    background-color: #fff;
    font-size: 14px;
    color: #444;
}

.accordion-content ol {
    padding-left: 20px;
}

.accordion-content li {
    margin-bottom: 10px;
}

/* Padding for Cutoff Date Selections */
.modal-control-group select {
    padding: 5px;
    font-size: 14px;
    border-radius: 5px;
    border: 1px solid #ccc;
    margin-right: 10px;
}
.close-button {
  position: absolute;
  top: 10px;
  right: 10px;
  background: none;
  border: none;
  font-size: 20px;
  font-weight: bold;
  cursor: pointer;
}

.close-button:hover {
  color: #007bff;
}


.location-row {
  display: flex;
  flex-direction: column;
  border: 1px solid #ccc;
  border-radius: 8px;
  padding: 10px 30px 10px 10px;
  margin-bottom: 10px;
  position: relative;
  background-color: #f9f9f9;
}

.delete-button {
  position: absolute;
  top: 8px;
  right: 6px;
  background: none;
  border: none;
  color: black;
  font-size: 14px;
  font-weight: bold;
  cursor: pointer;
}

.location-header {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.center-button {
  width: 30px;
  height: 30px;
  background: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin-right: 10px;
}

.center-button i {
  color: #007bff;
  font-size: 16px;
}

.location-title {
  flex: 1;
  font-size: 16px;
  font-weight: bold;
  border: none;
  background: none;
}

.location-title:focus {
  outline: 1px solid #007bff;
}

.location-body {
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  margin-top: 5px;
}

.location-details {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 5px;
  text-align: left;
}

.location-details label {
  font-weight: bold;
  color: #666;
}

.location-visits {
  flex: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
}

.location-visits label {
  font-weight: bold;
  color: #666;
  margin-bottom: 5px;
}

.visits-input {
  width: 60px !important;
  text-align: center;
  font-size: 14px !important;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.visits-input:focus {
  outline: 1px solid #007bff;
}

.locations-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.action-icons {
  display: flex;
  align-items: center;
  gap: 20px;
}

.action-item {
  display: flex;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  color: grey;
  transition: color 0.3s ease;
}

.action-item:hover {
  color: black;
}

.action-icon {
  font-size: 18px;
}

.action-text {
  font-size: 14px;
  text-decoration: underline;
}
#dash_options {
  padding: 20px;
  background-color: #f9f9f9;
  border: 1px solid #ddd;
  border-radius: 8px;
}

.options-header {
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 10px;
  color: #333;
}

.options-description {
  font-size: 14px;
  color: #666;
  margin-bottom: 20px;
}

.options-buttons {
  display: flex;
  flex-direction: row;
  gap: 15px;
}

.option-button {
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 10px 15px;
  font-size: 16px;
  font-weight: bold;
  color: #fff;
  background-color: #007bff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.option-button i {
  font-size: 18px;
}

.option-button:hover {
  background-color: #0056b3;
  transform: translateY(-2px);
}

.option-button:active {
  transform: translateY(0);
}

@media only screen and (max-width: 800px) {
  .options-buttons {
      flex-direction: column;
  }
}
@media only screen and (max-width: 800px) {
  .action-text {
      display: none; /* Hide text on small screens */
  }
}

@media only screen and (max-width: 1200px) {

  #dash {
    height: auto!important;
  }
  #toast_wrapper {
    width: calc(100vw - 20px);
    left: 10px;
  }
  .toast {
    width: 81vw;
    white-space: pre-wrap;
    word-break: keep-all;
  }


  .locations-header {
    font-size: 20px;
  }

  #place_autocomplete {
    right: 20px;
    top: 75px;
    width: calc(100vw - 40px);
  }

  #map {
    width: calc(100vw - 20px);
    height: calc(75vh);
  }

  #dash {
    width: calc(100vw - 50px);
    padding: 5px 10px;
  }

  #wrapper {
    flex-direction: column;
    margin: 0;
  }
  #dash>div {
    padding: 20px 15px;
  }
  #dash_options {
    height: 315px;
  }
  .option-button {
    width: calc(100% - 20px) !important;
    justify-content: center !important;
  }
}

@media only screen and (max-width: 800px) {

  .visits-input {
    padding: 5px !important;
  }
  .location-visits {
    flex-direction: column;
    justify-content: center;
    gap: 0px;
  }

  #dash table td {
    padding: 7px 0px;
  }

  #dash_table {
    margin-bottom: 70px;
  }

  #dash input {
    padding: 8px 5px;
    width: calc(100% - 10px);
  }

}